WhatsApp Flows
List flows
Returns WhatsApp flows in your project, most recent first.
GET
/
whatsapp
/
flows
List flows
curl --request GET \
--url https://api.kapso.ai/platform/v1/whatsapp/flows \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kapso.ai/platform/v1/whatsapp/flows"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kapso.ai/platform/v1/whatsapp/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_flow_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"json_version": "<string>",
"data_api_version": "<string>",
"business_account_id": "<string>",
"preview_url": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"data_endpoint_function_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number_id": "<string>",
"data_endpoint_url": "<string>",
"has_data_endpoint": true,
"flows_encryption_configured": true
}
],
"meta": {
"page": 2,
"per_page": 2,
"total_pages": 1,
"total_count": 1
}
}{
"error": "<string>"
}Authorizations
Query Parameters
Filter by status
Available options:
draft, published Filter by WABA ID
Filter by phone number
Filter by name substring
Required range:
x >= 1Required range:
x >= 1Was this page helpful?
Previous
Create flowCreate a new WhatsApp Flow. By default creates a draft flow with a basic welcome screen.
Next
⌘I
List flows

